/*------------------------------------*\
    #PAGINATION
\*------------------------------------*/
/**
 * A pageination for news and content elements.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

// We use these to control the pagination container
$pagination-height: 30px;
$pagination-margin: rem-calc(-5);

$pagination-li-height: 30px;
$pagination-li-font-color: $drk-color-grey;
$pagination-li-font-size: $drk-base-font-size;
$pagination-li-margin: rem-calc(5) !default;

// We use these for the pagination anchor links
$pagination-link-pad: rem-calc(1 10 1);
$pagination-link-font-color: $drk-color-grey;
$pagination-link-active-bg: $drk-color-blue;

// We use these for disabled anchor links
$pagination-link-unavailable-cursor: default !default;
$pagination-link-unavailable-font-color: $aluminum !default;
$pagination-link-unavailable-bg-active: transparent !default;

// We use these for currently selected anchor links
$pagination-link-current-background: $drk-color-blue;
$pagination-link-current-font-color: $drk-color-white;
$pagination-link-current-font-weight: $font-weight-bold;
$pagination-link-current-active-bg: $drk-color-blue;

.#{$inuit-namespace}paginationcontainer,
%#{$inuit-namespace}paginationcontainer {
    text-align: center;
}

.#{$inuit-namespace}pagination,
%#{$inuit-namespace}pagination {
    @include pagination-container(true);
    text-align: center;
    clear: left;
    margin-bottom: 20px;

    &__list {
        @include pagination($center: true);

        a {
            border: 1px solid $drk-color-light-grey;
            display: inline-block;
            padding: 5px 10px;
            text-decoration: none;
            width: auto;

            &:hover {
                transition: all .2s ease-in-out;
                background-color: $pagination-link-active-bg;
                color: $pagination-link-current-font-color;
            }
        }

        .prev,
        .next {
            margin: 10px auto;
            width: 166px;
            display: block;

            @media #{$medium} {
                display: inline-block;
                margin: 0;
            }
        }

        .current {
            background-color: $pagination-link-current-background;
            color: $pagination-link-current-font-color;
            border: 0;
        }
    }
}

